# SNMP uptime

This check is based on the snmp_uptime check form CMK 2.0. It adds the SNMP-FRAMEWORK-MIB::snmpEngineTime OID to the check. Its value is in seconds not ticks and therefore the Uptime can now be around 68 years before a rollover of the counter :-)

```
snmpEngineTime : The number of seconds since the value of the snmpEngineBoots object last changed. When
                 incrementing this object's value would cause it to exceed its maximum, snmpEngineBoots is
                 incremented as if a re-initialization had occurred, and this object's value consequently
                 reverts to zero. This is a 32 bit integer counter (0..2147483647).
```

**NOTE**: this is only a SNMP section that supersedes the original section **_snmp_uptime_**. It will not touch the original check. You can control the usage of this section by disable/enable SNMP section **_snmp_uptime_exetended_**

**NOTE**: this plugin my have some side efects on checks that use the original section and expect the uptime not larger than 497 days. I.e the interface inventory plugin expects this to calculate the _not used_ state.

Check Info:

* *service*: no change to the original check
* *state*: no change to the original check
* *wato*: no change to the original check
* *perfdata*: no change to the original check

---
### Download
* [snmp_uptime.mkp](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/snmp_uptime/-/raw/master/snmp_uptime.mkp "Download the MKP file")
                        
---
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install snmp_uptime.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to Contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---

Sample output

![sample output](/doc/sample.png?raw=true "sample [SHORT TITLE]")

